
QGIS Application - Bug report #8410

Changing repository with localized name produces an error

2013-08-04 02:29 AM - Maxim Dubinin

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 13.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17181

Description

In localized QGIS repository names are also localized.

See screenshot: http://gis-lab.info/images/screenshots/20130804-be-01.png

Trying to change this localized repo by pressing Change button produces a Python error:

При выполнении следующего кода возникла ошибка:

pyplugin_installer.instance().editRepository('Официальный репозиторий QGIS')

Traceback (most recent call last):

  File "", line 1, in 

  File "/usr/share/qgis/python/pyplugin_installer/installer.py", line 451, in editRepository

    dlg.editURL.setText(repositories.all()[reposName]["url"])

KeyError: '\\xd0\\x9e\\xd1\\x84\\xd0\\xb8\\xd1\\x86\\xd0\\xb8\\xd0\\xb0\\xd0\\xbb\\xd1\\x8c\\xd0\\xbd\\xd1\\x8b\\xd0\\xb9

\\xd1\\x80\\xd0\\xb5\\xd0\\xbf\\xd0\\xbe\\xd0\\xb7\\xd0\\xb8\\xd1\\x82\\xd0\\xbe\\xd1\\x80\\xd0\\xb8\\xd0\\xb9 QGIS'

Версия Python:

2.7.4 (default, Apr 19 2013, 18:35:44) 

[GCC 4.7.3]

Версия QGIS:

1.9.0-Master 'Master', exported

Путь поиска Python:

['/usr/share/qgis/python/plugins/sextante', '/usr/share/qgis/python', '/home/sim/.qgis2/python', '/home/sim/.qgis2/python/plugins',

'/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-i386-linux-gnu', '/usr/lib/python2.7/lib-tk',

'/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel',

'/usr/lib/python2.7/dist-packages/ubuntuone-couch', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode', '/usr/share/qgis/python/plugins/fTools/tools']

This seems to be the case in Ubuntu, but not in Windows. Tested on latest trunk.

Associated revisions

Revision 018e9584 - 2013-08-04 10:52 PM - Borys Jurgiel
[Plugin Installer] fix #8410

History

#1 - 2013-08-04 01:53 PM - Borys Jurgiel

- Status changed from Open to Closed

Fixed in changeset commit:"018e95845f80fa58b53ec213201dc00454f22aa3".

#2 - 2013-08-04 01:57 PM - Borys Jurgiel

I was able to replicate the bug on both Debian and Win7. 

The fix is tested on those OS-es, I hope it works on all other OS-es as well.

#3 - 2013-08-07 12:28 AM - Maxim Dubinin

fixed in Ubuntu too, thanks Borys.
